<?php
/**
 * @Copyright © 2002-2019 Acronis International GmbH. All rights reserved
 */

class Service_AmsApiClient_Response_Struct_PersonifiedAgent
{
    /** @var bool */
    private $web;

    /** @var string */
    private $architecture;

    /** @var string */
    private $language;

    /** @var boolean */
    private $personified;

    /** @var string */
    private $realLanguage;

    /** @var integer */
    private $size;

    /** @var string */
    private $system;

    /** @var string */
    private $title;

    /** @var string */
    private $type;

    /** @var string */
    private $url;

    /**
     * @return string
     */
    public function getArchitecture()
    {
        return $this->architecture;
    }

    /**
     * @param string $architecture
     */
    public function setArchitecture($architecture)
    {
        $this->architecture = $architecture;
    }

    /**
     * @return string
     */
    public function getLanguage()
    {
        return $this->language;
    }

    /**
     * @param string $language
     */
    public function setLanguage($language)
    {
        $this->language = $language;
    }

    /**
     * @return string
     */
    public function getPersonified()
    {
        return $this->personified;
    }

    /**
     * @param string $personified
     */
    public function setPersonified($personified)
    {
        $this->personified = $personified;
    }

    /**
     * @return string
     */
    public function getRealLanguage()
    {
        return $this->realLanguage;
    }

    /**
     * @param string $realLanguage
     */
    public function setRealLanguage($realLanguage)
    {
        $this->realLanguage = $realLanguage;
    }

    /**
     * @return int
     */
    public function getSize()
    {
        return $this->size;
    }

    /**
     * @param int $size
     */
    public function setSize($size)
    {
        $this->size = $size;
    }

    /**
     * @return string
     */
    public function getSystem()
    {
        return $this->system;
    }

    /**
     * @param string $system
     */
    public function setSystem($system)
    {
        $this->system = $system;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param string $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param string $url
     */
    public function setUrl($url)
    {
        $this->url = $url;
    }

    /**
     * @param string $web
     */
    public function setWeb($web)
    {
        $this->web = $web;
    }

    /**
     * @return mixed
     */
    public function getWeb()
    {
        return $this->web;
    }
}
