<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_SplitDeliverLinesForVendorByDate extends Service_PbaApi_Client_Request
{
    const METHOD = 'DeliverLinesForVendorByDateSplit_API';

    /**
     * Service_PbaApi_Api_Request_SplitDeliverLinesForVendorByDate constructor.
     * @param int $splitDate
     * @param int $vendorId
     */
    public function __construct($splitDate, $vendorId)
    {
        parent::__construct(self::METHOD, array(
            (int)$splitDate,
            (int)$vendorId
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_SplitDeliverLinesForVendorByDate
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_SplitDeliverLinesForVendorByDate($responseArray);
    }
}
