<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Response_Struct_GetIncludedResources implements Service_PbaApi_Api_Response_Struct_GetIncludedResourcesInterface
{
    /**
     * Composite resource ID
     *  @var int
     */
    private $resourceId;

    /**
     * Included resource ID
     * @var int
     */
    private $includedResourceId;

    /**
     * @var string
     */
    private $includedResourceName;

    /**
     * Included resource ID
     * @var int
     */
    private $multiplier;

    /**
     * @var string
     */
    private $includedResourceMeasurementUnitName;

    /**
     * @return int
     */
    public function getResourceId()
    {
        return $this->resourceId;
    }

    /**
     * @param int $resourceId
     */
    public function setResourceId($resourceId)
    {
        $this->resourceId = $resourceId;
    }

    /**
     * @return int
     */
    public function getIncludedResourceId()
    {
        return $this->includedResourceId;
    }

    /**
     * @param int $includedResourceId
     */
    public function setIncludedResourceId($includedResourceId)
    {
        $this->includedResourceId = $includedResourceId;
    }

    /**
     * @return string
     */
    public function getIncludedResourceName()
    {
        return $this->includedResourceName;
    }

    /**
     * @param string $includedResourceName
     */
    public function setIncludedResourceName($includedResourceName)
    {
        $this->includedResourceName = $includedResourceName;
    }

    /**
     * @return int
     */
    public function getMultiplier()
    {
        return $this->multiplier;
    }

    /**
     * @param int $multiplier
     */
    public function setMultiplier($multiplier)
    {
        $this->multiplier = $multiplier;
    }

    /**
     * @return string
     */
    public function getIncludedResourceMeasurementUnitName()
    {
        return $this->includedResourceMeasurementUnitName;
    }

    /**
     * @param string $includedResourceMeasurementUnitName
     */
    public function setIncludedResourceMeasurementUnitName($includedResourceMeasurementUnitName)
    {
        $this->includedResourceMeasurementUnitName = $includedResourceMeasurementUnitName;
    }
}
