<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\Config;

/**
 * Trait ConfigDatabaseTrait
 * There must be a method getSection in class using this trait
 * @package Acronis\App\Services\Config
 * @method getSection(string $sectionName)
 */
trait ConfigDatabaseTrait
{
    public function getDatabaseConfig()
    {
        return $this->getSection(ConfigSchema::NODE_DATABASE);
    }
}