<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Database\Migrations;

use Acronis\App\Database\Migration;

class InitialMigration extends Migration
{
    const UP_SQL_PATH = DIR_SQL . 'create_table_reports.sql';
    const DOWN_SQL_PATH = DIR_SQL . 'drop_table_reports.sql';

    const DESCRIPTION = <<<TEXT
Creates table for usage report entries containing date, report_id/report_stored_id, status and path of saved report.
TEXT;
}