<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_MspApiClient_Response_Struct_UsageReportHeaders
{

    /**
     * @var string
     */
    private $name;

    /**
     * @var integer
     */
    private $beginDate;

    /**
     * @var integer
     */
    private $endDate;

    /**
     * @var integer
     */
    private $generationDate;

    /**
     * @var integer
     */
    private $reportLevel;

    /**
     * @var integer
     */
    private $groupId;

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getBeginDate()
    {
        return $this->beginDate;
    }

    /**
     * @param int $beginDate
     */
    public function setBeginDate($beginDate)
    {
        $this->beginDate = $beginDate;
    }

    /**
     * @return int
     */
    public function getEndDate()
    {
        return $this->endDate;
    }

    /**
     * @param int $endDate
     */
    public function setEndDate($endDate)
    {
        $this->endDate = $endDate;
    }

    /**
     * @return int
     */
    public function getGenerationDate()
    {
        return $this->generationDate;
    }

    /**
     * @param int $generationDate
     */
    public function setGenerationDate($generationDate)
    {
        $this->generationDate = $generationDate;
    }

    /**
     * @return int
     */
    public function getReportLevel()
    {
        return $this->reportLevel;
    }

    /**
     * @param int $reportLevel
     */
    public function setReportLevel($reportLevel)
    {
        $this->reportLevel = $reportLevel;
    }

    /**
     * @return int
     */
    public function getGroupId()
    {
        return $this->groupId;
    }

    /**
     * @param int $groupId
     */
    public function setGroupId($groupId)
    {
        $this->groupId = $groupId;
    }

    public function toArray()
    {
        return array(
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_HEADERS_NAME => $this->name,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_HEADERS_BEGIN_DATE => $this->beginDate,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_HEADERS_END_DATE => $this->endDate,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_HEADERS_GENERATION_DATE => $this->generationDate,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_HEADERS_REPORT_LEVEL => $this->reportLevel,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_HEADERS_GROUP_ID => $this->groupId,
        );
    }
}
