<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetSubscriptionResourcesList extends Service_PbaApi_Client_Request
{
    const METHOD = 'SubscriptionResourcesListGet_API';

    /**
     * Service_PbaApi_Api_Request_GetSubscriptionResourcesList constructor.
     * @param int $subscriptionId
     * @param int $sortNo
     */
    public function __construct($subscriptionId, $sortNo)
    {
        parent::__construct(self::METHOD, array(
            (int)$subscriptionId, (int)$sortNo
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionResourcesList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetSubscriptionResourcesList($responseArray);
    }
}
