<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_PbaApi_Api_Response_Struct_GetOrderDetailsInterface
{
    /**
     * @return int
     */
    public function getSortNo();

    /**
     * @param int $sortNo
     */
    public function setSortNo($sortNo);

    /**
     * @return int
     */
    public function getDetailID();

    /**
     * @param int $detailID
     */
    public function setDetailID($detailID);

    /**
     * @return string
     */
    public function getDescription();

    /**
     * @param string $description
     */
    public function setDescription($description);

    /**
     * @return int
     */
    public function getDetailType();

    /**
     * @param int $detailType
     */
    public function setDetailType($detailType);

    /**
     * @return float
     */
    public function getQuantity();

    /**
     * @param float $quantity
     */
    public function setQuantity($quantity);

    /**
     * @return string
     */
    public function getUom();

    /**
     * @param string $uom
     */
    public function setUom($uom);

    /**
     * @return float
     */
    public function getUnitPrice();

    /**
     * @param float $unitPrice
     */
    public function setUnitPrice($unitPrice);

    /**
     * @return float
     */
    public function getDiscountAmount();

    /**
     * @param float $discountAmount
     */
    public function setDiscountAmount($discountAmount);

    /**
     * @return float
     */
    public function getExtendedPrice();

    /**
     * @param float $extendedPrice
     */
    public function setExtendedPrice($extendedPrice);

    /**
     * @return float
     */
    public function getTaxCategory();

    /**
     * @param float $taxCategory
     */
    public function setTaxCategory($taxCategory);

    /**
     * @return int
     */
    public function getSubscription();

    /**
     * @param int $subscription
     */
    public function setSubscription($subscription);

    /**
     * @return float
     */
    public function getDuration();

    /**
     * @param float $duration
     */
    public function setDuration($duration);

    /**
     * @return int
     */
    public function getBillingPeriod();

    /**
     * @param int $billingPeriod
     */
    public function setBillingPeriod($billingPeriod);

    /**
     * @return int
     */
    public function getBillingPeriodType();

    /**
     * @param int $billingPeriodType
     */
    public function setBillingPeriodType($billingPeriodType);

    /**
     * @return int
     */
    public function getPromoID();

    /**
     * @param int $promoID
     */
    public function setPromoID($promoID);

    /**
     * @return int
     */
    public function getResourceID();

    /**
     * @param int $resourceID
     */
    public function setResourceID($resourceID);

    /**
     * @return int
     */
    public function getIsPromotedResource();

    /**
     * @param int $isPromotedResource
     */
    public function setIsPromotedResource($isPromotedResource);

    /**
     * @return int
     */
    public function getPlanPeriodID();

    /**
     * @param int $planPeriodID
     */
    public function setPlanPeriodID($planPeriodID);

    /**
     * @return int
     */
    public function getOriginalPlanID();

    /**
     * @param int $originalPlanID
     */
    public function setOriginalPlanID($originalPlanID);

    /**
     * @return int
     */
    public function getNewPlanID();

    /**
     * @param int $newPlanID
     */
    public function setNewPlanID($newPlanID);

    /**
     * @return int
     */
    public function getOrderDetailStartDate();

    /**
     * @param int $orderDetailStartDate
     */
    public function setOrderDetailStartDate($orderDetailStartDate);

    /**
     * @return int
     */
    public function getOrderDetailEndDate();

    /**
     * @param int $orderDetailEndDate
     */
    public function setOrderDetailEndDate($orderDetailEndDate);
}